Call queue blacklist prompts
Retrieve call queue blacklist prompts configurations.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
OK
application/json
enable_level1booleanOptionalDefault:
Whether to enable the the level 1 blacklist.
falselevel1_prompt_file_namestringOptional
The name of the file.
level1_prompt_file_sizeinteger · int64OptionalExample:
The file size in bytes.
0level1_prompt_file_urlstringRead-onlyOptionalExample:
The relative path to file url for file downloading.
/api/blobs/WexWdABcd5D4PDgzTKV3gAAAEu00WcKenable_level2booleanOptionalDefault:
Whether to enable the the level 2 blacklist.
falselevel2_prompt_file_namestringOptional
The name of the file.
level2_prompt_file_sizeinteger · int64OptionalExample:
The file size in bytes.
0level2_prompt_file_urlstringRead-onlyOptionalExample:
The relative path to file url for file downloading.
/api/blobs/WexWdABcd5D4PDgzTKV3gAAAEu00WcK4XX
Error
get/call_queue_blacklist_prompts
GET /api/call_queue_blacklist_prompts HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"enable_level1": false,
"level1_prompt_file_name": "text",
"level1_prompt_file_size": 0,
"level1_prompt_file_url": "/api/blobs/WexWdABcd5D4PDgzTKV3gAAAEu00WcK",
"enable_level2": false,
"level2_prompt_file_name": "text",
"level2_prompt_file_size": 0,
"level2_prompt_file_url": "/api/blobs/WexWdABcd5D4PDgzTKV3gAAAEu00WcK"
}Update call queue blacklist prompts configurations.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
enable_level1booleanOptionalDefault:
Whether to enable the the level 1 blacklist.
falselevel1_prompt_file_idstringOptionalExample:
The unique ID of the resource.
NzAwNTUxOTA5NzczMTQ4MTYwenable_level2booleanOptionalDefault:
Whether to enable the the level 2 blacklist.
falselevel2_prompt_file_idstringOptionalExample:
The unique ID of the resource.
NzAwNTUxOTA5NzczMTQ4MTYwResponses
200
OK
No content
4XX
Error
post/call_queue_blacklist_prompts
POST /api/call_queue_blacklist_prompts HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 147
{
"enable_level1": false,
"level1_prompt_file_id": "NzAwNTUxOTA5NzczMTQ4MTYw",
"enable_level2": false,
"level2_prompt_file_id": "NzAwNTUxOTA5NzczMTQ4MTYw"
}No content
Was this helpful?